Subject: Re: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Po Lu <[email-masked]>
Date: Thu, 14 Jul 2022 09:06:54 +0800

Visuwesh <[email-masked]> writes:

> I don't think so.  Lucid toolkit has been the suggested method to
> survive X crashes, and so far, it has worked.  If it involved more than
> sheer luck, then I don't think people would suggest it.

Suriving X crashes in Emacs is always sheer luck, since the error
handler can be called anywhere, including in places where it's not safe
to delete frames or signal errors.  It works most of the time because
Emacs will be in XTread_socket or some other similarly benign place.

But once all frames are deleted by the error handler, shouldn't
`selected-frame' revert back to the initial frame?